<div class="panel-header panel-header-sm"></div>
<div class="main-content">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <h5 class="title">Registro de proveedores</h5>
        </div>
        <div class="card-body">
          <form [formGroup]="formIngreso" (ngSubmit)="crear()">
            <div class="form-group">
              <div class="row">
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="rut" class="control-label">Rut</label>
                    <input
                      type="text"
                      class="form-control"
                      formControlName="rut"
                      placeholder="Rut"
                    />
                  </div>
                </div>
                <div class="col-md-3 px-1">
                  <div class="form-group">
                    <label for="nombreProveedor" class="control-label"
                      >Nombre Proveedor</label
                    >
                    <input
                      class="form-control"
                      formControlName="nombreProveedor"
                      placeholder="Nombre"
                    />
                  </div>
                </div>
                <div class="col-md-5 pl-1">
                  <div class="form-group">
                    <label for="direccion">Dirección</label>
                    <input
                      formControlName="direccion"
                      class="form-control"
                      placeholder="Dirección"
                    />
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="email">Email</label>
                    <input
                      formControlName="email"
                      class="form-control"
                      placeholder="Email"
                    />
                  </div>
                </div>
                <div class="col-md-3 px-1">
                  <div class="form-group">
                    <label for="giro">Giro</label>
                    <input
                      formControlName="giro"
                      class="form-control"
                      placeholder="Giro"
                    />
                  </div>
                </div>
                <div class="col-md-4 pr-1">
                  <div class="form-group">
                    <label for="ciudad" class="control-label"
                      >Ciudad</label
                    >
                    <mat-select class="form-control"  formControlName="idComuna" >
                      <mat-option                       
                        *ngFor="let ciudad of ciudades"
                        [value]="ciudad.id"
                        ngDefaultControl 
                        >{{ ciudad.nombreComuna }}
                      </mat-option>
                    </mat-select>
                  </div>
                </div>
            </div>
              <br />
              <div class="col-md-4 px-1">
                <div class="form-group">
                  <div class="container-login100-form-btn">
                    <button class="login100-form-btn">Registrar</button>
                  </div>
                </div>
              </div>
            </div>
        
          </form>
        </div>
      </div>

      <div class="col-md-12">
        <div class="card card-plain">
          <div class="card-header">
            <h4 class="card-title">Proveedores Registrados</h4>
          </div>
          <div class="card-body">
            <div class="table-hover table-striped">
              <table class="table">
                <thead class="text-primary">
                  <th>Rut</th>
                  <th>Nombre Proveedor</th>
                  <th>Dirección</th>
                  <th>Email</th>
                  <th>Giro</th>
                  <th>Comuna</th>
                  <th class="text-center">Opciones</th>
                </thead>
                <tbody>
                  <tr *ngFor="let proveedor of proveedors">
                    <td scope="row">{{ proveedor.rut }}</td>
                    <td>{{ proveedor.nombreProveedor | titlecase }}</td>
                    <td>{{ proveedor.direccion | titlecase }}</td>
                    <td>{{ proveedor.email | titlecase }}</td>
                    <td>{{ proveedor.giro | titlecase }}</td>
                    <td>{{ proveedor.comunas.nombreComuna | titlecase }}</td>
                    <td class="text-center">
                      <button
                        mat-raised-button
                        color="primary"
                        style="margin: 10px"
                        [routerLink]="['/ingresar-proveedor/editar-proveedor', proveedor.id]"
                      >
                        Editar
                      </button>

                      <button
                        mat-raised-button
                        color="warn"
                        (click)="eliminar(proveedor)"
                      >
                        Eliminar
                      </button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>

            <mat-paginator
              [length]="totalRegistros"
              [pageSize]="totalPorPagina"
              [pageIndex]="paginaActual"
              [pageSizeOptions]="pageSizeOptions"
              (page)="paginar($event)"
              showFirstLastButtons
              class="mx-2"
            >
            </mat-paginator>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
